# fn() makeZipIterator
Creates a ZipIterator, deducing the iterator types from the arguments.

Defined in | <seqan/basic_iterator.h>
Signature | `iter makeZipIterator(TIteratorTypes... args)`

## Parameters

`args` | One or more iterator instances to construct the ZipIterator from.

## Return Values

`iter` | A ZipIterator containing the given iterator instances.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn makeZipIterator
     *
     * @headerfile <seqan/basic_iterator.h>
     *
     * @brief Creates a @link ZipIterator @endlink, deducing the iterator types from
     *        the arguments.
     *
     * @signature iter makeZipIterator(TIteratorTypes... args)
     *
     * @param[in] args One or more iterator instances to construct the @link
     *                 ZipIterator @endlink from.
     *
     * @return iter A @link ZipIterator @endlink containing the given iterator
     *              instances.
     */